### Struct

# EBookContacts ContactName

#### Description

    struct EContactName {
      gchar* family;
      gchar* given;
      gchar* additional;
      gchar* prefixes;
      gchar* suffixes;
    }

No description available.

###### Structure members

`family:` `gchar*`

  No description available.

`given:` `gchar*`

  No description available.

`additional:` `gchar*`

  No description available.

`prefixes:` `gchar*`

  No description available.

`suffixes:` `gchar*`

  No description available.

#### Constructors

###### e_contact_name_new

Creates a new `EContactName` struct.

#### Functions

###### e_contact_name_from_string

Creates a new `EContactName` based on the parsed `name_str`.

#### Instance methods

###### e_contact_name_copy

Creates a copy of `n`.

###### e_contact_name_free

Frees `name` and its contents.

###### e_contact_name_to_string

Generates a string representation of `name`.